Summary: japanized tkmail4.0
Name: jp-tkmail
Version: 4.0beta9
Release: 2j
%define prefix 	/usr/local
%define xprefix	/usr/X11R6
Source0: ftp://ftp.slac.stanford.edu/software/TkMail/BETA/tkmail-%{version}.tar.gz
Source1: http://www-jlc.kek.jp/~fujiik/mklinux/Packages/dr2.1/shared/tkmail/SOURCES/tkmail-bitmaps.tar.gz
Patch0: ftp://ftp.slac.stanford.edu/software/TkMail/BETA/tkmail-%{version}.BUGFIX
Patch1: localhost:/tkmail-%{version}p1-jp0.5.patch
Patch2: localhost:/tkmail-%{version}jp-glibc.patch
Patch3: localhost:/tkmail-%{version}jp-ppc.patch
Patch4: localhost:/tkmail-%{version}-tkbind.patch
Copyright: distributable
Group: Applications/Mail
BuildRoot: /tmp/tkmailroot
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>

%description
   TkMail is an X windows interface to mail originally built using Tcl/Tk
   by Paul Raines. The package has been japanized to allow iso-2022-jp
   encoding and decoding in from and subject fields and to enable japanese
   text editing in the composer window using kinput2 by K.Fujii.
   Reading, sending, and managing mail messages can almost all be done
   using only the mouse (except for the body of the message, of course).
   TkMail writes its folders in the format of the standard unix 'Mail'
   command.  It also uses 'sendmail' commands to do the mail delivery
   work.

%prep

%setup -T -c -a 0
%setup -T -D -a 1

mv bitmaps tkmail-%{version}
cd tkmail-%{version}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%ifarch ppc
%patch3 -p1
%endif
%patch4 -p1

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,lib}
mkdir -p $RPM_BUILD_ROOT%{xprefix}/include/X11/bitmaps
mv BETANOTES README TODO ..

%build

cd tkmail-%{version}
./configure --prefix=%{prefix}
make

%install
cd tkmail-%{version}
make INSTALL_ROOT=$RPM_BUILD_ROOT install
cp bitmaps/* $RPM_BUILD_ROOT%{xprefix}/include/X11/bitmaps
chown root:mail $RPM_BUILD_ROOT%{prefix}/bin/dotlock
chmod g+s $RPM_BUILD_ROOT%{prefix}/bin/dotlock

%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc BETANOTES README TODO
%dir %{prefix}/lib/tkmail4/
%{prefix}/lib/tkmail4/*
%{prefix}/bin/*
%{xprefix}/include/X11/bitmaps/*

%changelog
* Mon Aug 28 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 2j
- built with Tcl/Tk 8.0.5jp

* Fri Jul 09 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 2i
- fixed a problem with closing brace treatment

* Sat Jul 03 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 2h
- rearranged patches to compile this on RedHat-6.0

* Thu Jul 01 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 2g
- improved the jp patch to include Mime type

* Wed Jun 16 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 2f
- improved the jp patch to ensure closing braces

* Sat Jun 13 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 2e
- moved kinput2 related bindings to tkbind/kinput2.tcl

* Sun May 17 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 2d
- rebuilt with pre-DR3

* Sun Dec 21 1997 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 2C
- fixed a problem with mails having no subjects
- rebuilt with DR2.1update6

* Fri Oct 24 1997 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 2B
- fixed a problem with mail forwading
- rebuilt with DR2.1update5

* Mon Sep 29 1997 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 2A
- fixed sender name misalignment in the list window

* Fri Sep 26 1997 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- release 1A
- the 1st beta version with Japanese extensions


